# ustream.h File Reference

C++ API: Unicode iostream like API. More...

`#include "unicode/unistr.h"`
`#include <istream>`
`#include <ostream>`

Go to the source code of this file.

## Functions
U_IO_API std::ostream & | operator<< (std::ostream &stream, const UnicodeString &s)
| Write the contents of a UnicodeString to a C++ ostream.
U_IO_API std::istream & | operator>> (std::istream &stream, UnicodeString &s)
| Write the contents from a C++ istream to a UnicodeString.

## Detailed Description

C++ API: Unicode iostream like API.

At this time, this API is very limited. It contains operator<< and operator>> for UnicodeString manipulation with the C++ I/O stream API.

Definition in file ustream.h.

## Function Documentation

U_IO_API std::ostream& operator<< | ( | std::ostream & | stream,
|  | const UnicodeString & | s |
| ) |  |  |

Write the contents of a UnicodeString to a C++ ostream.

This functions writes the characters in a UnicodeString to an ostream. The UChars in the UnicodeString are converted to the char based ostream with the default converter.

Stable:
  3.0

U_IO_API std::istream& operator>> | ( | std::istream & | stream,
|  | UnicodeString & | s |
| ) |  |  |

Write the contents from a C++ istream to a UnicodeString.

The UChars in the UnicodeString are converted from the char based istream with the default converter.

Stable:
  3.0

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines